/*# ---------------------------------------------------------------------
#
# Copyright (c) CREATIS (Centre de Recherche en Acquisition et Traitement de l'Image
#                        pour la Sant�)
# Authors : Eduardo Davila, Frederic Cervenansky, Claire Mouton
# Previous Authors : Laurent Guigues, Jean-Pierre Roux
# CreaTools website : www.creatis.insa-lyon.fr/site/fr/creatools_accueil
#
#  This software is governed by the CeCILL-B license under French law and
#  abiding by the rules of distribution of free software. You can  use,
#  modify and/ or redistribute the software under the terms of the CeCILL-B
#  license as circulated by CEA, CNRS and INRIA at the following URL
#  http://www.cecill.info/licences/Licence_CeCILL-B_V1-en.html
#  or in the file LICENSE.txt.
#
#  As a counterpart to the access to the source code and  rights to copy,
#  modify and redistribute granted by the license, users are provided only
#  with a limited warranty  and the software's author,  the holder of the
#  economic rights,  and the successive licensors  have only  limited
#  liability.
#
#  The fact that you are presently reading this means that you have had
#  knowledge of the CeCILL-B license and that you accept its terms.
# ------------------------------------------------------------------------ */


#ifndef __EXAMPLE_CONTOUR_GUI__
#define __EXAMPLE_CONTOUR_GUI__


// ----------------------------------------------------------------------------
// wx headers inclusion.
// For compilers that support precompilation, includes <wx/wx.h>.
// ----------------------------------------------------------------------------
#include <wx/wxprec.h>
#ifdef __BORLANDC__
#pragma hdrstop
#endif
#ifndef WX_PRECOMP
#include <wx/wx.h>
#endif

#include <string.h>
#include "wxContourMainFrame.h"

/*
eed

class wxContourGUIExample : public wxFrame
{
public:
//	wxContourGUIExample(wxWindow *parent,wxString title);
	wxContourGUIExample(const wxString& title, const wxPoint& pos, const wxSize& size);

    void OnBtnRun(wxCommandEvent& event);
	
private:
	
	wxStaticText		* stResult;

	wxButton			* btn;
		
	//DECLARE_CLASS(wxContourGUIExample)    

};
*/

class wxTheApplication : public wxApp
{
public:
    bool OnInit();
private:
	static wxContourMainFrame * frame;
	
};

#endif 
